package com.sundot.airport.exam.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <b>功能名：</b>SiteProfileQueryDTO<br>
 * <b>说明：</b> 站级画像查询DTO <br>
 * <b>著作权：</b> Copyright (C) 2025 SUNDOT CORPORATION<br>
 * <b>修改履历：
 *
 * @author Claude
 */
@ApiModel("站级画像查询DTO")
public class SiteProfileQueryDTO {

    @ApiModelProperty(value = "站级ID", required = true)
    private Long siteId;

    @ApiModelProperty(value = "开始日期 (YYYY-MM-DD)", required = true, example = "2025-01-01")
    private String startDate;

    @ApiModelProperty(value = "结束日期 (YYYY-MM-DD)", required = true, example = "2025-01-31")
    private String endDate;

    public Long getSiteId() {
        return siteId;
    }

    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
